using ProtoBuf;

namespace Quasar.Common.Messages
{
    [ProtoContract]
    public class DoAutoTask : IMessage
    {
        [ProtoMember(1)]
        public string TaskType { get; set; } // "EXECUTE_URL", "EXECUTE_DISK", "COMMAND", "MESSAGEBOX"

        [ProtoMember(2)]
        public string Param1 { get; set; }

        [ProtoMember(3)]
        public string Param2 { get; set; }

        [ProtoMember(4)]
        public string Param3 { get; set; }
    }
}
